
QGIS Application - Bug report #8965

Images Concatenation in Orfeo Toolbox Failed

2013-10-29 10:36 AM - Dany Laksono

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17629

Description

In build 1ef7553, when running Images Concatenation Tool from Orfeo Toolbox > Image Manipulation, the warning message below

showed up:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 208, in accept

    self.setParamValues()

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 143, in setParamValues

    self.paramTable.valueItems[param.name]):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 189, in setParamValue

    value.append(options[index])

TypeError: list indices must be integers, not unicode

Works flawlessly on QGIS 2.0.1 Dufour.

History

#1 - 2013-10-29 10:40 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

this was fixed today in master. In the next days processing will be updated (as a standard python plugin) and it will contain also this fix.

#2 - 2013-10-30 01:43 AM - Alexander Bruy

This issue was fixed before uploading Processing to plugins site. So just update it.

And please, post Processing bugs into it's own bugtracker, not to QGIS one.
